Download it now!
Bug 58789 - Chart Data Labels not saving in xlsx format
Summary: Chart Data Labels not saving in xlsx format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Katarina Behrens
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-27 03:11 UTC by NewAcct407
Modified: 2013-05-01 05:41 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Test document for moggi :) (6.59 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-04-30 20:55 UTC, Katarina Behrens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NewAcct407 2012-12-27 03:11:36 UTC
Open new spreadsheet in Calc, add small amount of data for bar or line chart.  Add chart using wizard.  Use all defaults.  When complete, double click on the bar (or line), and select Insert Data Labels (The values now appear correctly next to the bar/line.)  

Save the file in xlsx format.

Close file and reopen.

The data labels are no longer there. 

Version 3.6.4.3 (Build ID: 2ef5aff)
Comment 1 Not Assigned 2013-02-17 13:41:21 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1aadb8789bc9a58e1798c0905214833a0cd6d40e

fdo#58789: export field separators, fix series name display



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Katarina Behrens 2013-02-17 13:49:03 UTC
Basic support for data label export (=saving) should be now implemented (commits 32edd34a2056f0eb and 1aadb8789bc9a58e17). It doesn't deal with some advanced label features (text formatting etc.) but for most common use cases, it should suffice
Comment 3 Katarina Behrens 2013-04-30 20:55:11 UTC
Created attachment 78669 [details]
Test document for moggi :)

This doc -pie chart w/ data labels - was saved by Calc. Opens fine in Excel 2007. Didn't try Excel 2010, don't have it
Comment 4 NewAcct407 2013-05-01 05:41:37 UTC
Attached file is confirmed to work in Excel 2010(In reply to comment #3)
> Created attachment 78669 [details]
> Test document for moggi :)
> 
> This doc -pie chart w/ data labels - was saved by Calc. Opens fine in Excel
> 2007. Didn't try Excel 2010, don't have it

Attached file is confirmed to work in Excel 2010.  Thanks for your work on this.